Magento 1.9.3.10 veröffentlicht. Jetzt mit PHP7.2 Support!
Erstellt am

Magento 1.9.3.10 & PHP7.2 Support veröffentlicht!

Heute wurde die neue Version Magento 1.9.3.10 veröffentlicht. Für E-Commerce Shopbetreiber die noch nicht auf die aktuelle Magento 2.x Version gewechselt haben, kommt mit Magento 1.9.3.10 optional auch mit PHP 7.2 Unterstützung, dass mit einem weiteren Patch hinzugefügt werden kann.

Patchbeschreibung

Die aktuelle Version bietet die Behebung mehrerer kritischer Sicherheitsprobleme. Neben 1.9.3.10 ist ebenso der Download des PHP 7.2 Patch in den Tech-Ressources von Magento hinterlegt. Das bringt neben Performancesteigerungen auch Verbesserungen der Code-Infrastruktur. Das Update ist daher eher nicht nur eine Sicherheits-Patchsammlung, die “Gelegenheits-Patcher” behilflich ist, alle notwendigen und relevanten Patches schnell nachzuziehen. Es bringt schon Vorteile und vor allem auch Sicherheit! Zu den oben genannten kritischen Sicherheitsproblemen gehören Remote-Cross-Site-Scripting und der Cross-Site-Request-Forgery-Probleme. Mehr zu den Problemen im Sicherheits-Center von Magento.

Einzel-Patches

Zudem beinhaltet die Magento 1.9.3.10 Version auch folgende Sicherheitspachtes:

  • SUPEE-5344
  • SUPEE-5994
  • SUPEE-6237
  • SUPEE-6285
  • SUPEE-6482
  • SUPEE-6788
  • SUPEE-7616
  • SUPEE-7405
  • SUPEE-7405 v1.1
  • SUPEE-8788
  • SUPEE-9652
  • SUPEE-8167
  • SUPEE-9767v2
  • SUPEE-10266
  • SUPEE-10415
  • SUPEE-10570
  • SUPEE-10752
  • SUPEE-10888

Bekannte Fehler nach dem Update

Sie können das Passwort für neue Kunden, die ihr Konto während des Checkouts (Bezahlvorgang) erstellt haben, nicht erneut senden.